VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5340
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   8040
   LinkTopic       =   "Form1"
   ScaleHeight     =   5340
   ScaleWidth      =   8040
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox txthWnd 
      Height          =   285
      Left            =   5640
      TabIndex        =   4
      Top             =   4800
      Width           =   2175
   End
   Begin VB.TextBox txtInfo 
      Height          =   1095
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertikal
      TabIndex        =   3
      Top             =   3960
      Width           =   5415
   End
   Begin VB.CommandButton btnDetails 
      Caption         =   "Details"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   240
      Width           =   1215
   End
   Begin VB.TextBox txtPath 
      Height          =   285
      Left            =   1560
      TabIndex        =   1
      Text            =   "c:\"
      Top             =   240
      Width           =   4575
   End
   Begin VB.ListBox lstFiles 
      Height          =   2985
      Left            =   120
      TabIndex        =   0
      Top             =   720
      Width           =   7815
   End
   Begin MSComDlg.CommonDialog cdlg 
      Left            =   7320
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


'------------------------------------------------------------
Public Sub Info(Mess As String)
  With txtInfo
    If Len(.Text) > 32000 Then .Text = ""
    .Text = .Text + vbCrLf
    .SelStart = Len(.Text) - 2
  End With
End Sub

Private Sub btnDetails_Click()
  Dim TimerID As Long
  DialogViewStyle = DVS_Details
  'it is important to set a title!
  With cdlg
      .DialogTitle = "View Details"
      .InitDir = txtPath.Text   'set where to start
      .FileName = ""
      
      'produce an error when Cancel is pressed
      .CancelError = True
      
      .Flags = cdlOFNExplorer + cdlOFNLongNames + cdlOFNAllowMultiselect
      
  End With
  '
  'the trick is to start the timer before opening the dialog
  'the timer fires when the dialog has shown up and modifies its viewstyle and size
  Set CurrentDialog = cdlg
  'timSetDialog.Enabled = True
  TimerID = SetTimer(0&, 0&, 200&, AddressOf TimerEvent)
  TimerAgain = False
  
  On Error Resume Next  'so we can handle the Cancel
  cdlg.ShowOpen
  KillTimer 0, TimerID
  If Err Then Exit Sub 'user pressed Cancel
  Beep
  
  'if single selection
  'lstFiles.AddItem cdlg.FileName
  'exit sub
  'else process multi file selection
  lstFiles.Clear       'clear the listbox
  
  'now we have to split up the result of multi select
  Dim Names() As String
  Names = Split(cdlg.FileName, Chr$(0))
  
  If UBound(Names) = 0 Then
     ' only one file was selected, so put this to listbox
     lstFiles.AddItem Names(0)
  Else
     'multiple files were selected
     'first element of names array Names(0) contains now the path
     'all other elements are the names the user selected
     'for demo I will now build valid filenames and put them in the listbox to show
     Dim bs$
     Dim i As Integer
     If Right$(Names(0), 1) <> "\" Then bs = "\"
     For i = 1 To UBound(Names)
       lstFiles.AddItem Names(0) + bs + Names(i)
     Next
  End If

End Sub
